#
# spec file for package xgamma
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           xgamma
Version:        1.0.6
Release:        1.3
Summary:        Utility to alter a monitor's gamma correction through the X server
License:        MIT
Group:          System/X11/Utilities
Url:            http://xorg.freedesktop.org/
Source0:        http://xorg.freedesktop.org/releases/individual/app/%{name}-%{version}.tar.bz2
BuildRequires:  pkg-config
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(xorg-macros) >= 1.8
BuildRequires:  pkgconfig(xxf86vm)
# This was part of the xorg-x11 package up to version 7.6
Conflicts:      xorg-x11 <= 7.6
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
xgamma allows X users to query and alter the gamma correction of a
monitor via the X video mode extension (XFree86-VidModeExtension).

%prep
%setup -q

%build
%configure
make %{?_smp_mflags}

%install
%make_install

%files
%defattr(-,root,root)
%doc ChangeLog COPYING README
%{_bindir}/xgamma
%{_mandir}/man1/xgamma.1%{?ext_man}

%changelog
* Fri Apr 24 2015 sndirsch@suse.com
-  Update to version 1.0.6:
  * This minor maintenance release provides the usual recent
    collection of build configuration improvements and janitorial
    cleanups. It does not provide enough gamma radiation to mutate
    the user into a green-skinned giant who likes to smash things. ;-)
* Sat Apr 14 2012 dimstar@opensuse.org
- Update to version 1.0.5:
  + Document that xgamma is useless on XRandr screens.
  + Build system fixes.
* Fri Apr 13 2012 vuntz@opensuse.org
- Split xgamma from xorg-x11. Initial version: 1.0.4.
